package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF3C2RWSDocuments {

    private Map<String, Object> params;
    
    public MWF3C2RWSDocuments(Map<String, Object> params) {
        this.params = params;
    }

    public String rsIdcardnumber() {
        return (String) params.get("RS_IDCARDNUMBER");
    }

    public String rsIdcardissuingcountry() {
        return (String) params.get("RS_IDCARDISSUINGCOUNTRY");
    }

    public java.util.Date rsIdcardexpirationdate() {
        return (java.util.Date) params.get("RS_IDCARDEXPIRATIONDATE");
    }

    public String rsIdcardpurpose() {
        return (String) params.get("RS_IDCARDPURPOSE");
    }

    public String rsIdcardtype() {
        return (String) params.get("RS_IDCARDTYPE");
    } 

}
